print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceboards = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local boardsHudFile = "Paletten/hud_fill_boards.dds"
	local boardsHudFileSmall = "Paletten/hud_fill_boards_small.dds"
	
    local boardsFilType = g_fillTypeManager:addFillType("BOARDS", g_i18n:getText("boards"), true, priceboards * 0.8, 0.00045, math.rad(10), boardsHudFile, boardsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasboards=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasboards=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "BOARDS" then
		hasboards=true
	end;
		
end;

		if hasmaize and not hasboards then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BOARDS")
		local price = g_fillTypeManager:getFillTypeByName("BOARDS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BOARDS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)